import { Router } from 'express';
import motorController from '../controllers/motor.controller.js';
import audioController from '../controllers/audio.controller.js';
import commandController from '../controllers/command.controller.js';
import settingsController from '../controllers/settings.controller.js';
import textCommandController from '../controllers/text-command.controller.js';

const router = Router();

router.use('/motor', motorController);
router.use('/audio', audioController);
router.use('/commands', commandController);
router.use('/commands/text', textCommandController);
router.use('/settings', settingsController);

export default router;
